# Poco::Redis

# class PooledConnection

Library: Redis
Package: Redis
Header: Poco/Redis/PoolableConnectionFactory.h

## Description

Helper class for borrowing and returning a connection automatically from a pool.

## Constructors

### PooledConnection

PooledConnection(
ObjectPool < Client, Client::Ptr > & pool,
long timeoutMilliseconds = 0
);

## Destructor

### ~PooledConnection

virtual ~PooledConnection();